Bug 23783

Summary: Add display of languages from MARC21 field 041 to the OPAC
Product: Koha Reporter: Katrin Fischer <katrin.fischer>
Component: MARC Bibliographic data supportAssignee: Katrin Fischer <katrin.fischer>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: lucas, martin.renvoize
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Manual merge request:
Text to go in the release notes:
This enhancement adds display handling for the 041 MARC21 languages field, into the OPAC results and item details pages.
Version(s) released in:
20.05.00
Bug Depends on: 20364    
Bug Blocks:    
Attachments: Bug 23783: Show languages from MARC21 field 041 in OPAC
Bug 23783: Show languages from MARC21 field 041 in OPAC
Bug 23783: Show languages from MARC21 field 041 in OPAC

Description Katrin Fischer 2019-10-09 08:38:52 UTC
Bug 20364 implemented showing the language from MARC21 041 in the staff interface, but it's not yet visible in the OPAC. We offer search by language, so it makes sense to also show the language in the detail pages.
Comment 1 Katrin Fischer 2019-11-02 13:51:10 UTC
Created attachment 94965 [details] [review]
Bug 23783: Show languages from MARC21 field 041 in OPAC

This copies the changes made in bug 20364 for the staff
interface to the OPAC.

Some slight changes have been made in comparison:
- OPAC uses the class "separator" for the characters
  that are used between repeatable tags. "sep" as
  used in the original patch set has some CSS rules
  attached to it that break display, so it makes
  double sense to change it.
- We revently removed ending . from the display in
  OPAC - so it's done here too.

To test:
1) Apply patch
2) Do a search in the OPAC and check the results look correct
3) Check some biblio detail pages and verify that they look correct
4) Add some 041 subfields (a, b, d, h, j) in any combinations
5) Repeat 2 and 3
Comment 2 Bernardo Gonzalez Kriegel 2019-12-02 16:55:39 UTC
Created attachment 95931 [details] [review]
Bug 23783: Show languages from MARC21 field 041 in OPAC

This copies the changes made in bug 20364 for the staff
interface to the OPAC.

Some slight changes have been made in comparison:
- OPAC uses the class "separator" for the characters
  that are used between repeatable tags. "sep" as
  used in the original patch set has some CSS rules
  attached to it that break display, so it makes
  double sense to change it.
- We revently removed ending . from the display in
  OPAC - so it's done here too.

To test:
1) Apply patch
2) Do a search in the OPAC and check the results look correct
3) Check some biblio detail pages and verify that they look correct
4) Add some 041 subfields (a, b, d, h, j) in any combinations
5) Repeat 2 and 3

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no errors.
Comment 3 Jonathan Druart 2019-12-05 14:25:48 UTC
Created attachment 96039 [details] [review]
Bug 23783: Show languages from MARC21 field 041 in OPAC

This copies the changes made in bug 20364 for the staff
interface to the OPAC.

Some slight changes have been made in comparison:
- OPAC uses the class "separator" for the characters
  that are used between repeatable tags. "sep" as
  used in the original patch set has some CSS rules
  attached to it that break display, so it makes
  double sense to change it.
- We revently removed ending . from the display in
  OPAC - so it's done here too.

To test:
1) Apply patch
2) Do a search in the OPAC and check the results look correct
3) Check some biblio detail pages and verify that they look correct
4) Add some 041 subfields (a, b, d, h, j) in any combinations
5) Repeat 2 and 3

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no errors.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Katrin Fischer 2019-12-05 16:11:30 UTC
Thanks Joubu and Bernardo!
Comment 5 Martin Renvoize 2020-01-02 12:45:57 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Lucas Gass 2020-01-15 18:39:29 UTC
backported to 19.11.x for 19.11.02
Comment 7 Lucas Gass 2020-01-15 18:39:51 UTC
missing dependencies for 19.05.x, no backport